#ifndef __FONTS_H__
#define __FONTS_H__

#include <stdint.h>

#define USE_UTF8
#define USE_LiberM_7x10
#define USE_Font_11x18

typedef struct {
  const uint8_t width;
  const uint8_t height;
  const uint16_t *data;
} FontDef;

#ifdef USE_Font_7x10
extern FontDef Font_7x10;
#endif
#ifdef USE_Font_11x18
extern FontDef Font_11x18;
#endif
#ifdef USE_Font_16x26
extern FontDef Font_16x26;
#endif
#ifdef USE_LiberM_7x10
extern FontDef LiberM_7x10;
#endif
#ifdef USE_Font_10x16ua
extern FontDef Font_10x16ua;
#endif

#endif // __FONTS_H__
